<?php
/**
 * Test case tykajici se vytvareni/ziskavani instance nakupniho
 * kose - singletona
 */
class CartInstanceTestCase extends UnitTestCase {

	/**
	 * Metoda testuje, zda je mozne ziskat instanci SerializableCart
	 */
	function testGetSerializableCart() {
		$cart = SerializableCart::getACart();
		// test, zda vznikla spravna instance
		$this->assertIsA($cart, 'SerializableCart');
		// test na singletona
		$this->assertReference($cart, SerializableCart::getACart());
		$this->dump($cart);
	}

	/**
	 * Metoda testuje, zda je mozne ziskat instanci OrdinaryCart
	 */
	function testGetOrdinaryCart() {
		$this->expectError();
		// POZOR, tohle skonci vyjimkou - OrdinaryCart ma spatne implementovanou metodu getACart!
		$cart = OrdinaryCart::getACart();
		// test, zda vznikla spravna instance
		$this->assertIsA($cart, 'OrdinaryCart');
		// test na singletona
		$this->assertReference($cart, SerializableCart::getACart());
	} 
}
?>